local assets=
{ 
     Asset("ANIM", "anim/punisher.zip"),
     Asset("ANIM", "anim/swap_punisher.zip"), 
     Asset("SOUND", "sound/common.fsb"),
     Asset("ATLAS", "images/inventoryimages/twicane.xml"),
     Asset("IMAGE", "images/inventoryimages/twicane.tex"),
}

local prefabs = 
{

}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
 owner.AnimState:OverrideSymbol("swap_object", "swap_punisher", "punisher")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end


local function onunequip(inst,owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal")
       
end


local function fn(inst)
      local inst = CreateEntity()
      local trans = inst.entity:AddTransform()
      local anim = inst.entity:AddAnimState()
      local sound = inst.entity:AddSoundEmitter()
      MakeInventoryPhysics(inst)

      local minimap = inst.entity:AddMiniMapEntity()
      minimap:SetIcon( "twicane.tex" )
    
      anim:SetBank("twicane")
      anim:SetBuild("twicane")
      anim:PlayAnimation("idle")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(51)
    inst.components.weapon:SetRange(2)

    inst:AddTag("sharp")    

    inst:AddComponent("tool")

    inst.components.tool:SetAction(ACTIONS.HAMMER, 1.33)


    inst:AddComponent("finiteuses")
      inst.components.finiteuses:SetMaxUses(TUNING.MULTITOOL_AXE_PICKAXE_USES)
      inst.components.finiteuses:SetUses(TUNING.MULTITOOL_AXE_PICKAXE_USES)
    inst.components.finiteuses:SetOnFinished( onfinished)
    inst.components.finiteuses:SetConsumption(ACTIONS.HAMMER, 1)


    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/twicane.xml"
    -----------------------------------
    
    inst:AddComponent("equippable")


    
    inst.components.equippable:SetOnEquip( onequip )
     
    inst.components.equippable:SetOnUnequip( onunequip )
    

    -----------------------------------
    
    inst:AddComponent("inspectable")
    
    

    
    return inst
end

return  Prefab("common/inventory/twicane", fn, assets, prefabs)